<?php
/**
 * TOP API: alibaba.alihealth.synergy.yzw.savedrugreport request
 * 
 * @author auto create
 * @since 1.0, 2024.04.01
 */
class AlibabaAlihealthSynergyYzwSavedrugreportRequest
{
	/** 
	 * 批次号
	 **/
	private $batchNo;
	
	/** 
	 * 药品ID
	 **/
	private $drugEntBaseInfoId;
	
	/** 
	 * 文件类型支持:pdf,jpg,jpeg, png
	 **/
	private $fileType;
	
	/** 
	 * 是否要显示日期
	 **/
	private $noDate;
	
	/** 
	 * X坐标
	 **/
	private $positionX;
	
	/** 
	 * Y坐标
	 **/
	private $positionY;
	
	/** 
	 * 生产日期
	 **/
	private $produceDate;
	
	/** 
	 * 企业ID
	 **/
	private $refEntId;
	
	/** 
	 * 报告数据
	 **/
	private $reportData;
	
	/** 
	 * 报告日期
	 **/
	private $reportDate;
	
	/** 
	 * 药检报告号
	 **/
	private $reportNo;
	
	/** 
	 * 印章名称
	 **/
	private $sealName;
	
	/** 
	 * 用户id
	 **/
	private $userId;
	
	private $apiParas = array();
	
	public function setBatchNo($batchNo)
	{
		$this->batchNo = $batchNo;
		$this->apiParas["batch_no"] = $batchNo;
	}

	public function getBatchNo()
	{
		return $this->batchNo;
	}

	public function setDrugEntBaseInfoId($drugEntBaseInfoId)
	{
		$this->drugEntBaseInfoId = $drugEntBaseInfoId;
		$this->apiParas["drug_ent_base_info_id"] = $drugEntBaseInfoId;
	}

	public function getDrugEntBaseInfoId()
	{
		return $this->drugEntBaseInfoId;
	}

	public function setFileType($fileType)
	{
		$this->fileType = $fileType;
		$this->apiParas["file_type"] = $fileType;
	}

	public function getFileType()
	{
		return $this->fileType;
	}

	public function setNoDate($noDate)
	{
		$this->noDate = $noDate;
		$this->apiParas["no_date"] = $noDate;
	}

	public function getNoDate()
	{
		return $this->noDate;
	}

	public function setPositionX($positionX)
	{
		$this->positionX = $positionX;
		$this->apiParas["position_x"] = $positionX;
	}

	public function getPositionX()
	{
		return $this->positionX;
	}

	public function setPositionY($positionY)
	{
		$this->positionY = $positionY;
		$this->apiParas["position_y"] = $positionY;
	}

	public function getPositionY()
	{
		return $this->positionY;
	}

	public function setProduceDate($produceDate)
	{
		$this->produceDate = $produceDate;
		$this->apiParas["produce_date"] = $produceDate;
	}

	public function getProduceDate()
	{
		return $this->produceDate;
	}

	public function setRefEntId($refEntId)
	{
		$this->refEntId = $refEntId;
		$this->apiParas["ref_ent_id"] = $refEntId;
	}

	public function getRefEntId()
	{
		return $this->refEntId;
	}

	public function setReportData($reportData)
	{
		$this->reportData = $reportData;
		$this->apiParas["report_data"] = $reportData;
	}

	public function getReportData()
	{
		return $this->reportData;
	}

	public function setReportDate($reportDate)
	{
		$this->reportDate = $reportDate;
		$this->apiParas["report_date"] = $reportDate;
	}

	public function getReportDate()
	{
		return $this->reportDate;
	}

	public function setReportNo($reportNo)
	{
		$this->reportNo = $reportNo;
		$this->apiParas["report_no"] = $reportNo;
	}

	public function getReportNo()
	{
		return $this->reportNo;
	}

	public function setSealName($sealName)
	{
		$this->sealName = $sealName;
		$this->apiParas["seal_name"] = $sealName;
	}

	public function getSealName()
	{
		return $this->sealName;
	}

	public function setUserId($userId)
	{
		$this->userId = $userId;
		$this->apiParas["user_id"] = $userId;
	}

	public function getUserId()
	{
		return $this->userId;
	}

	public function getApiMethodName()
	{
		return "alibaba.alihealth.synergy.yzw.savedrugreport";
	}
	
	public function getApiParas()
	{
		return $this->apiParas;
	}
	
	public function check()
	{
		
		RequestCheckUtil::checkNotNull($this->batchNo,"batchNo");
		RequestCheckUtil::checkNotNull($this->drugEntBaseInfoId,"drugEntBaseInfoId");
		RequestCheckUtil::checkNotNull($this->fileType,"fileType");
		RequestCheckUtil::checkNotNull($this->refEntId,"refEntId");
		RequestCheckUtil::checkNotNull($this->reportData,"reportData");
		RequestCheckUtil::checkNotNull($this->sealName,"sealName");
		RequestCheckUtil::checkNotNull($this->userId,"userId");
	}
	
	public function putOtherTextParam($key, $value) {
		$this->apiParas[$key] = $value;
		$this->$key = $value;
	}
}
